Bug 445108 - lots of dangling symlinks
lots of dangling symlinks
Product: Fedora
Classification: Fedora
Component: kde-filesystem (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-03 17:04 EDT by Christian Krause
Modified: 2009-05-25 15:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-11 10:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 388841 None None None Never

  None (edit)
Description Christian Krause 2008-05-03 17:04:50 EDT
Many kde-i18n-* packages (e.g. kde-i18n-Italian) and lots of other packages
using the KDE framework (e.g. kpowersave) contain a dangling symlink in
/usr/share/doc/HTML/ .


root@localhost:/usr/share/doc/HTML# ls -la ./de/kpowersave/common
./de/kpowersave/common -> /usr/share/doc/HTML/de/common

root@localhost:/usr/share/doc/HTML# ls -la  it/kxsldbg/common
it/kxsldbg/common -> ../docs/common

But there are no packages which provide the respective targets of the symlinks.

The number of broken symlinks is rather high, because it seems that there is one
for each language for each kde program.

On my system (some standard KDE programs, kde-i18n-Italian and kde-i18n-German
installed) there are 175:
root@localhost:/usr/share/doc/HTML# find -type l -xtype l|wc
    175     175    3661

There was already a similar bug filed for this issue, but it was set to "FIXED"


Please note that this problem is not limited to kde-i18n-* packages - it affects
lots of other kde packages as well.
Comment 1 Steven M. Parrish 2008-05-04 09:42:35 EDT
Going to leave the original closed, devs can reference it as needed.
Comment 2 Bug Zapper 2008-05-14 06:36:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Steven M. Parrish 2008-06-23 16:55:11 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=388841 says this issue has been
resolved.  If so lets close this out.
Comment 4 Kevin Kofler 2008-06-23 17:33:00 EDT
See the original report, it explicitly claims that bug 388841 has been 
incorrectly closed.
Comment 5 Christian Krause 2008-06-23 19:13:06 EDT
I've re-checked the problem on a recent F9 (fully updated) system and it is
still there. The command
root@localhost:/usr/share/doc/HTML# find -type l -xtype l
still reveals lots of dangling symlinks.

The following command should listen all affected KDE packages on my system.
Please note, that it is very likely that also other packages are affected (which
are just not installed on my system):

root@localhost:/usr/share/doc/HTML# find -name 'common' -type l -xtype l -exec
rpm -qf {} \;|sort |uniq

Comment 6 Steven M. Parrish 2008-09-28 18:24:19 EDT
Comment 7 Christian Krause 2008-09-29 03:27:26 EDT
(In reply to comment #6)
> Ping

Steven, do you need info from the reporter or from the developer? ;-)

I've re-tested it in current F9 and the problem is still there. I'll test Rawhide later and get back with the results.
Comment 8 Kevin Kofler 2008-09-29 08:36:21 EDT
/usr/share/doc/HTML/de/common is provided by the KDE 4 kde-l10n-German.

The links for kxsldbg, on the other hand, are really broken, but they're also broken on F8. Looks like an upstream bug.
Comment 9 Kevin Kofler 2008-09-29 08:37:50 EDT
So to make it clear, there are 2 separate issues, one is kde-i18n relying on files from kde-l10n without a dependency and the other is the broken symlink in the kxsldbg documentation. The first issue is definitely a Fedora packaging issue, the second one might be an upstream bug.
Comment 10 Christian Krause 2008-09-29 16:40:39 EDT
(In reply to comment #9)
> So to make it clear, there are 2 separate issues, one is kde-i18n relying on
> files from kde-l10n without a dependency and the other is the broken symlink in

1. I don't understand the packaging of the KDE packages completely, but as far as I can see in the description of e.g. kde-i18n-German and kde-l10n-German one is for KDE3 (*i18n*) and one for KDE4 (*l10n*). So I'm not sure whether they should really depend on each other - but as I'm said, I'm not an KDE expert. ;-)

2. It is correct, that installing the corresponding l10n packages fixes the problem for some of the languages, but not for all. Just do the following test:
"yum install kde-i18n* kde-l10n*  --exclude kde-i18n-Arabic"
(both kde-{i18n,l10n}-Arabic conflict with each other, but that's a different problem)

Then check for the broken symlinks:
/usr/share/doc/HTML# find -type l -xtype l |wc
   3097    3097   74220


> the kxsldbg documentation. The first issue is definitely a Fedora packaging
> issue, the second one might be an upstream bug.
Comment 11 Christian Krause 2008-12-13 14:44:38 EST
Unfortunately the problem is still present in F10, so I'm moving the bug too.
Comment 12 Steven M. Parrish 2009-01-10 10:06:31 EST
This has been an issue for 7+ months and now 2 releases should we wontfix cantfix or continue to let it grow fuzz?
Comment 13 Kevin Kofler 2009-01-10 13:31:57 EST
Well, it should stay open as long as the bug is there.
Comment 14 Rex Dieter 2009-05-11 10:25:59 EDT
I've added ownership for all /usr/share/doc/HTML/{common,dirs/common} to kde-filesystem-4-26

This should resolve the dangling symlinks issue once and for all.

What remains is if it's worth trying to fix apps/pkgs that use/depend-on dirs/common.  This seems to be mostly older/legacy kde3 stuff... so probably not.
Comment 15 Christian Krause 2009-05-25 15:43:01 EDT
(In reply to comment #14)
> I've added ownership for all /usr/share/doc/HTML/{common,dirs/common} to
> kde-filesystem-4-26

Thank you very much for fixing this. Will the fix be ported to F11, too?

Note You need to log in before you can comment on or make changes to this bug.